<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Digital Fabrication I Blog I Zina</title>
    <link rel="stylesheet" type="text/css" href="styles.css" />

</head>

<body style="background-color: ;#e8f0ff">

    <div class="sidebar">
        <ul style="list-style: none; padding: 0;">
            <li><a href="week1.html">Week 1</a></li>
            <li><a href="week2.html">Week 2</a></li>
            <li><a style="color:#76c26b" href="week3.html">Week 3</a></li>
            <li><a href="week4.html">Week 4</a></li>
            <li><a href="week5.html">Week 5</a></li>
            <li><a href="week6.html">Week 6</a></li>
            <li><a href="week7.html">Week 7</a></li>
        </ul>
        <h3 style="font-family: 'Terminal Grotesque Open'; font-weight: Open;"> <a><br>*°*:<br>:<br>..<br>"-<br>""<br>_-*°°*-_<br>::=°**_<br>_--<br>*°<br><br>*::.."-""<br>_-*°°*-_<br>::=°**__--<br>*°*::.."-""<br>_-*°°*-_<br>,_.::::°°°°<br>::...,.<br>.,.,._____,<br>...::::°"-""<br>_-*°°*-_,_°°°::<br>...,.,.,<br>._____.::°°°°<br>::...,.<br>.,.,._____,<br>...:    :::°"-""<br>_-*°°*-_,_°°°::</a></h3>
       
      </div>

      <div class="content">
        <!-- Your existing content goes here -->
    
     <!-- Blog/Project Section -->
        <section>
            <h1>Week 3°°*°°°°</h1>
            <h2>Project Management</h2>
            <p><!-- INSTRUCTIONS::::: 
                Create a page for the project management assignment on your website.
                Describe how you created your website.
                Describe how you use Git and GitLab to manage files in your repository.
                Learn to capture screenshots and add a few to your documentation page.
                Optimize the images (screenshots and photos) so that they fit into 1920x1920px rectangle,
                save it in JPG format with 60-80 percent quality. You may also try the WEBP format. Use any tool you like, 
                but document your process. -->
                First a disclaimer... I wasn't aware of this assignement when making the website so I do not have screenshots for most of it, hope my textual explanation suffices.<br><br>
                This website was made using the following tools: <br>
                - Chat GPT <br>
                - Visual Studio Code with a Live preview extension<br>
                - A laptop :) and it's terminal <br>
                - Photoshop <br>
                - Homebrew, Imagemagik, Git <br>
                - Gitlab <br>
                <br>

                First I created a repository on GitLab. (And had to familiarize myself with what Git, Github and Gitlab are). I wrote a basic HTML on Visual studio code  with the help of ChatGPT. Example promt: "What element should an html site about a designer doing a school-course blog have?". I uploaded the HTML to the repository and then added the Script to make the site public.
            </p>

            <img src="Images/webImages/Screenshot1.jpeg" class="full-image" style="height: max-content;">
         <p>
         Once the site had a domain I wrote the README file by writting the link to the site. Now is when I start actually coding the "finalish" HTML on Visual studio code. I went to CHat GPT for help on things I had forgotten (last time I wrote HTML was about 4 years ago... that's pre-covid!!).
        I decided to keep the css in the style section of the index.html file. Which I probably should not have done. It would probably have been easier to just make a css file but oh well, rookie mistakes.
        Once I had a basic site I downloaded homebrew and git using the terminal. I Then Familiarized myself with the basic commands and figured out how to get (ended up having to create) the SSH key. <br>
        To be honest, getting used to the terminal was hard. I'm a visual person, I need the graphs and the colors and the little icons. But with some effort, I managed.
        <br><br>
        At this point I had gotten the SSH key, and connected my local folder to the gitlab repository. Now, I needed to commit the new files, Including some images. And I managed to do that without much hassle. 
        </p>
        <h2>Image optimization</h2>
        <p>
            After hearing the magics and wonders of Imagemagik I RAN to download it... only to find out that my trusty 10 year old mac doesn't support it. Despite the big scary red alertssaying that the developers aren't responsible (and won't help) for any whacky recations my "ancient" machine might have (is this tech-y ageism?) I still decided to attemt the download... aaaand then my whole device crashed nt even halfway through.
            <br>
            <br>
            Ok, so ImageMagik is not an option, T-T. What to do? Well, I turned around and asked my partner if they had any ideas on how to lowed the resolution and change the file type of many images at once. And they did! They carefully gave me a small tutorial on how to use photoshop scripting to do what I needed and I was on my way. <br>
            First I put all the images in a folder. Then opened photoshop. I recorded my actions as "Resize for web", this means  photoshop is registering my actions and saving them as a template that can be applied to other things.
        </p>

        <img src="Images/webImages/Screenshot4.jpeg" class="full-image"></img>
            <p> I did 2 things: Automate-> fit image ---- this changes the max W and H of the image, I set it to 1080 w and 600 h------- </p>
            <img src="Images/webImages/Screenshot5.jpeg" class="full-image">
            <p>Image size -> Lower the DPI to 72. After this I stopped recording my actions and went to File-> automate -> batch. I chose the folder with my images and the new folder where the new images would save. 
            I click done and it ran. BUT some photos were still in png format. To solve this I simply used the preview. I selected all the images and exported them as jpg. Then I deleted all pngs from the folder. DONE,, ALL IMAGES ARE OPTIMIZED NOW :)
             </p>

    </section>
   
        <!-- About & Contact Page -->
        
      </div>

    <!-- Navigation -->
    <nav>
        <ul>
            <li><a href="index.html">Zina @ D.F.1</a></li>
            <li><a href="index.html #blog">Blog</a></li>
            <li><a href="final-project.html">Final Project</a></li>
            <li><a href="index.html #about">About</a></li>
            
        </ul>
    </nav>

    

</body>

</html>
